package org.xyzh.common.vo;

import org.xyzh.common.dto.permission.TbSysPermission;
import org.xyzh.common.dto.role.TbSysRole;

import java.util.List;

import org.xyzh.common.dto.BaseDTO;
import org.xyzh.common.dto.menu.TbSysMenu;
import org.xyzh.common.dto.permission.TbSysPermission;


public class PermissionVO extends BaseDTO{
    private static final long serialVersionUID = 1L;

    /**
     * @description    权限ID
     * @author    yslg
     * @since 2024-06
     */
    private String permissionID;

    /**
     * @description    权限名称
     * @author    yslg
     * @since 2024-06
     */
    private String name;

    /**
     * @description    权限描述
     * @author    yslg
     * @since 2024-06
     */
    private String description;

    /**
     * @description    权限编码
     * @author    yslg
     * @since 2024-06
     */
    private String code;

    /**
     * @description    创建人
     * @author    yslg
     * @since 2024-06
     */
    private String creator;

    /**
     * @description    创建人名称
     * @author    yslg
     * @since 2024-06
     */
    private String creatorName;

    /**
     * @description    更新人
     * @author    yslg
     * @since 2024-06
     */
    private String updater;

    /**
     * @description    绑定类型
     * @author    yslg
     * @since 2024-06
     */
    private String bindType;

    /**
     * @description    绑定菜单
     * @author    yslg
     * @since 2024-06
     */
    private List<TbSysMenu> menus;

    /**
     * @description    绑定角色
     * @author    yslg
     * @since 2024-06
     */
    private List<TbSysRole> roles;

    /**
     * @description    绑定权限
     * @author    yslg
     * @since 2024-06
     */
    private List<TbSysPermission> permissions;

    /**
     * @description    更新人名称
     * @author    yslg
     * @since 2024-06
     */
    private String updaterName;

    public String getPermissionID() {
        return permissionID;
    }

    public void setPermissionID(String permissionID) {
        this.permissionID = permissionID;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    public String getUpdaterName() {
        return updaterName;
    }

    public void setUpdaterName(String updaterName) {
        this.updaterName = updaterName;
    }

    public String getBindType() {
        return bindType;
    }

    public void setBindType(String bindType) {
        this.bindType = bindType;
    }

    public List<TbSysMenu> getMenus() {
        return menus;
    }

    public void setMenus(List<TbSysMenu> menus) {
        this.menus = menus;
    }

    public List<TbSysRole> getRoles() {
        return roles;
    }

    public void setRoles(List<TbSysRole> roles) {
        this.roles = roles;
    }

    public List<TbSysPermission> getPermissions() {
        return permissions;
    }
    
    public void setPermissions(List<TbSysPermission> permissions) {
        this.permissions = permissions;
    }

}
